<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CurrentDate.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">data</a> &gt; <span class="el_source">CurrentDate.java</span></div><h1>CurrentDate.java</h1><pre class="source lang-java linenums">package data;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.TimeZone;

<span class="fc" id="L8">public class CurrentDate {</span>
	
	public String getHour() {
<span class="fc" id="L11">		Calendar Calentar = Calendar.getInstance(TimeZone.getTimeZone(&quot;Asia/Calcutta&quot;));	</span>
<span class="fc" id="L12">		DateFormat Hour = new SimpleDateFormat(&quot;HH:mm:ss&quot;);		</span>
<span class="fc" id="L13">		String hourString = Hour.format(Calentar.getTime());</span>
<span class="fc" id="L14">		return hourString;</span>
	}
	public String getDate() {
<span class="fc" id="L17">		Calendar Calentar = Calendar.getInstance(TimeZone.getTimeZone(&quot;Asia/Calcutta&quot;));</span>
<span class="fc" id="L18">		DateFormat Date = new SimpleDateFormat(&quot;dd/MM/yyyy&quot;);</span>
<span class="fc" id="L19">		String dateString = Date.format(Calentar.getTime());</span>
<span class="fc" id="L20">		return dateString;</span>
	}
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>